Package com.io7m.montarre.api

# Enum Class MResourceRole

java.lang.Object
java.lang.Enum<MResourceRole>
com.io7m.montarre.api.MResourceRole

All Implemented Interfaces:
  `Serializable`, `Comparable<MResourceRole>`, `Constable`

public enum MResourceRole extends Enum<MResourceRole>
The role of a resource file.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOM`
  A bill-of-materials.
  `ICO_WINDOWS`
  A Windows application icon (".ico").
  `ICON_128`
  A 128x128 application icon.
  `ICON_16`
  A 16x16 application icon.
  `ICON_24`
  A 24x24 application icon.
  `ICON_256`
  A 256x256 application icon.
  `ICON_32`
  A 32x32 application icon.
  `ICON_48`
  A 48x48 application icon.
  `ICON_512`
  A 512x512 application icon.
  `ICON_64`
  A 64x64 application icon.
  `ICON_SVG`
  An arbitrarily scaled SVG icon.
  `LICENSE`
  A license file.
  `SCREENSHOT`
  A screenshot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `iconPriority()`
  `boolean`
  `isIcon()`
  `static MResourceRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MResourceRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOM

    public static final MResourceRole BOM
    A bill-of-materials. Recommended to be in CycloneDX format.

  - ### LICENSE

    public static final MResourceRole LICENSE
    A license file.

  - ### ICO_WINDOWS

    public static final MResourceRole ICO_WINDOWS
    A Windows application icon (".ico").

  - ### ICON_16

    public static final MResourceRole ICON_16
    A 16x16 application icon.

  - ### ICON_24

    public static final MResourceRole ICON_24
    A 24x24 application icon.

  - ### ICON_32

    public static final MResourceRole ICON_32
    A 32x32 application icon.

  - ### ICON_48

    public static final MResourceRole ICON_48
    A 48x48 application icon.

  - ### ICON_64

    public static final MResourceRole ICON_64
    A 64x64 application icon.

  - ### ICON_128

    public static final MResourceRole ICON_128
    A 128x128 application icon.

  - ### ICON_256

    public static final MResourceRole ICON_256
    A 256x256 application icon.

  - ### ICON_512

    public static final MResourceRole ICON_512
    A 512x512 application icon.

  - ### ICON_SVG

    public static final MResourceRole ICON_SVG
    An arbitrarily scaled SVG icon.

  - ### SCREENSHOT

    public static final MResourceRole SCREENSHOT
    A screenshot.

- ## Method Details

  - ### values

    public static MResourceRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MResourceRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### iconPriority

    public int iconPriority()
    Returns:
      The priority of this role as an icon

  - ### isIcon

    public boolean isIcon()
    Returns:
      `true` if this role implies an icon